  #include <TM1637.h>
  
  //   Pin 2 - > CLK  Pin 3 - > DIO
  TM1637 tm(2, 3);
  
  const int LASER_1 = 4;              // Объявляем переменную LASER_1 и присваиваем ей значение 4(номер вывода Ардуино).
  const int LASER_2 = 5;              // Объявляем переменную LASER_2 и присваиваем ей значение 5(номер вывода Ардуино).
  const int BUZZER = 6;               // подключаем пьезоэлемент к контакту 6 ШИМ
  const int PHOTO_SENS_1 = 7;         // Объявляем переменную PHOTO_SENS_1 для Фоторезистора-1  и присваиваем ей значение 7
  const int PHOTO_SENS_2 = 8;         // Объявляем переменную PHOTO_SENS_2 для Фоторезистора-1  и присваиваем ей значение 8
  int counter = 0;
  int flag=1;
  
  void setup()
  {
      Serial.begin(9600);
      tm.init();
      tm.display(0, 0);               // Устанавливаем на индикаторе 0(нули)
      pinMode(LASER_1, OUTPUT);       // Настраиваем ножку 4 на Выход
      pinMode(LASER_2, OUTPUT);       // Настраиваем ножку 5 на Выход
      pinMode(BUZZER, OUTPUT);        //объявляем пин 6 как выход.
      digitalWrite(LASER_1, HIGH);    // включаем лазер
      digitalWrite(LASER_2, HIGH);    // включаем лазер
  }
  
  void loop()
  {      
      int val1 = digitalRead(PHOTO_SENS_1);
      int val2 = digitalRead(PHOTO_SENS_2);
// Для отладки
//      Serial.print("FLAG ");Serial.print(flag);
//      Serial.print("\tval2 = ");Serial.print(val2);
//      Serial.print(" - ");
//      Serial.print("\tval1 = ");Serial.println(val1);
      
// Прибавляем счётчик
      if (val2 == 0 && flag==0) {
        while (val1=1) {
          val1 = digitalRead(PHOTO_SENS_1);
              if (val1 == 0) {
                counter +=1;
                tone(BUZZER, 300);              // пищатьс частотой
                delay(50); 
                flag=1;
                 break;
              }             
          } 
         }
 // Отнимаем счётчик
      if (val1 == 0 && flag==0) {
        while (val1=2) {
          val2 = digitalRead(PHOTO_SENS_2);
              if (val2 == 0) {
                if(counter > 0) counter -=1; 
                tone(BUZZER, 1500);             // пищатьс частотой
                delay(50); 
                flag=1;
                 break;
              }             
          } 
         }       
      if (val1 == 1  && val2 == 1  && flag==1) {
        flag=0;
        noTone(BUZZER);                         // Не пищать 
      }

      tm.dispNumber(counter);                   // Выводим счётчик на индикатор

      noTone(BUZZER);                           // Не пищать 
  }
